Summary: Custom DB Backend for the Perdition imap proxy
Name: libperditiondb_rub
Version: 0.3
Release: 1
License: MIT
Group: Library
Source0: %{name}-%{version}.tar.gz
Source1: db-4.8.26.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: perdition = 1.18-3

%description
This is a database backend plugin for Perdition, an imap and pop proxy.  This backend provides load balancing and persistent user->server connection caching; ie, if a user connects twice at the same time from two different IPs they will end up on the same server.  It is written in C and uses Berkeley DB 4.8 as its backend.

%prep
%setup -c %{name}-%{version}-%{release} -T -b 0
%setup -c %{name}-%{version}-%{release} -D -T -b 1

# Build db4.8 first
cd db-4.8.26/build_unix/
../dist/configure --with-pic
%ifarch i386
make
%else
CFLAGS=-fPIC make
%endif

cd ../..
cd %{name}-%{version}/

%ifarch i386
_ARCH=-m32 make
%else
_ARCH=-m64 make
%endif

%install

cd %{name}-%{version}
make install PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/local/bin/rubtool
/usr/lib/libperditiondb_rub.so

%changelog
* Tue Feb 06 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.2-1
- Updating to new version

* Tue Feb 06 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.1-1
- Initial release
